package beautiful06.step1;

import org.seasar.cubby.action.Action;
import org.seasar.cubby.action.ActionResult;
import org.seasar.cubby.action.Forward;
import org.seasar.cubby.action.Redirect;
import org.seasar.cubby.action.Url;

@Url("step1")
public class SendMailAction extends Action {
	private SendMailService sendMailService;
	public void setSendMailer(SendMailService sendMailService) {
		this.sendMailService = sendMailService;
	}
	
	public ActionResult show() {
		return new Forward("step1.jsp");
	}

	public ActionResult send() {
		// ここが時間がかかる処理だけど何もしない
		sendMailService.sendMail();
		flash.put("notice", "送信しました。");
		return new Redirect("step1.jsp");
	}
}
