package beautiful06.step2;

import org.seasar.cubby.action.Action;
import org.seasar.cubby.action.ActionResult;
import org.seasar.cubby.action.Forward;
import org.seasar.cubby.action.Redirect;
import org.seasar.cubby.action.Url;

@Url("step2")
public class SendMailAction extends Action {
	
	private SendMailService sendMailService;
	public void setSendMailer(SendMailService sendMailService) {
		this.sendMailService = sendMailService;
	}
	
	public ActionResult show() {
		return new Forward("step2.jsp");
	}

	public ActionResult send() {
		Thread thread = new Thread(new Runnable() {
			public void run() {
				sendMailService.sendMail();
			}
		});
		thread.start();
		flash.put("notice", "送信しました。");
		return new Redirect("step2.jsp");
	}
}
