package beautiful06.step3;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.seasar.cubby.action.Action;
import org.seasar.cubby.action.ActionResult;
import org.seasar.cubby.action.Forward;
import org.seasar.cubby.action.Redirect;
import org.seasar.cubby.action.Url;

@Url("step3")
public class SendMailAction extends Action {
	
	private SendMailService sendMailService;
	public void setSendMailer(SendMailService sendMailService) {
		this.sendMailService = sendMailService;
	}
	
	private HttpServletRequest request;
	public void setRequest(HttpServletRequest request) {
		this.request = request;
	}
	
	public ActionResult show() {
		return new Forward("step3.jsp");
	}

	public ActionResult send() {
		final HttpSession session = request.getSession();
		Thread thread = new Thread(new Runnable() {
			public void run() {
				// 通知用のセッションを引数として渡す
				sendMailService.sendMail(session);
			}
		});
		thread.start();
		flash.put("notice", "送信しました。");
		return new Redirect("result.jsp");
	}
}
