package beautiful06.aop;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;

public class WaitInterceptor implements MethodInterceptor {

	private long waitTime;
	public void setWaitTime(long waitTime) {
		this.waitTime = waitTime;
	}
	
	public Object invoke(MethodInvocation invocation) throws Throwable {
		Thread.sleep(waitTime);
		return invocation.proceed();
	}

}
